Skip to content
scango.ch
English
Esc
navigateopen⌘Jpreview

Create store

Create a store location. Requires a Write key. Within an organization, name is often the brand; use city (or address) to distinguish locations. Payment provider credentials (Zahls) are configured in the dashboard, not via this API.

POST/stores
Authorization
AuthorizationBearer token (API key) · headerrequired
Organization API key.
Request body
requiredapplication/json
namestringrequired
addressstring
zipCodestring
citystring
Human-readable store label within the organization
vatNumberstring
paymentCashboolean
paymentPaytecboolean
paymentZahlsboolean
paymentZahlsOfflineboolean
paymentCashOfflineboolean
showSupplierboolean
hideTextStartboolean
generalMarginnumber
customMessagestring
backgroundImageCartstring | object
Show properties
One of:
string
string
object
srcstring
backgroundImagestring | object
Show properties
One of:
string
string
object
srcstring
backgroundColorstring
backgroundFontColorstring
playSoundboolean
standardSoundstring
adminMailstring
showInfoButtonboolean
deleteCountdownnumber
logoUrlstring
languageMultiboolean
languageMainstring
Allowed:deenfrit
languageSelectorstring[]
translationsobject
Responses
200Store created
successbooleanrequired
idstringrequired
400Bad request
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
403Unauthorized
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
Request
curl -X POST "https://dashboard.scango.ch/api/v1/stores" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "address": "string",
  "zipCode": "string",
  "city": "string",
  "vatNumber": "string",
  "paymentCash": true,
  "paymentPaytec": true,
  "paymentZahls": true,
  "paymentZahlsOffline": true,
  "paymentCashOffline": true,
  "showSupplier": true,
  "hideTextStart": true,
  "generalMargin": 0,
  "customMessage": "string",
  "backgroundImageCart": "string",
  "backgroundImage": "string",
  "backgroundColor": "string",
  "backgroundFontColor": "string",
  "playSound": true,
  "standardSound": "string",
  "adminMail": "string",
  "showInfoButton": true,
  "deleteCountdown": 0,
  "logoUrl": "string",
  "languageMulti": true,
  "languageMain": "de",
  "languageSelector": [
    "de"
  ],
  "translations": {}
}'
Response
{
  "success": true,
  "id": "string"
}